/* Button close ================ */

:root {
  --button-close-size: 30px;
  --button-close-color: var(--color-black-light);
  --button-close-color-hover: var(--color-secondary);
  --button-close-color-active: var(--color-secondary);

  --button-close-icon-size: 25px;
}

.button-close {
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: var(--button-close-size);
  height: var(--button-close-size);
  padding: 0;
  border: 0;
  color: var(--button-close-color);
  background-color: transparent;
  cursor: pointer;

  &:focus {
    outline-width: 4px;
    outline-color: #5ac5f1;
  }

  &:hover {
    color: var(--button-close-color-hover);
  }

  &:active {
    color: var(--button-close-color-active);
  }
}

.icon-close {
  position: relative;
  display: block;
  width: var(--button-close-icon-size);
  height: var(--button-close-icon-size);
  color: currentColor;
  text-align: center;

  &::after,
  &::before {
    content: "";
    position: absolute;
    top: 50%;
    right: 0;
    left: 0;
    display: block;
    height: 2px;
    margin: 0 auto;
    background: currentColor;
    transform: translateY(-50%);
  }

  &::before {
    transform: rotate(45deg);
  }

  &::after {
    transform: rotate(-45deg);
  }
}

.button-close__text {
  font-size: 0;
}

/* ================ end button close */
